## valentina 0.6.1~dfsg

=== debian/changelog ===
valentina (0.6.1~dfsg-9) unstable; urgency=medium

  * Update copyright info:
    Fix include patches cherry-picked upstream in default Files section.
  * Add patches cherry-picked upstream:
    + Fix seam allowance for rollback case.
    + Fix passmark for rollback case.
    + fix update translation for variables after dynamic language switch.
    + Fix variable translation for Greek and Chinese.
    + Fix undefined reference to FindFirstNotOf.
    + Fix bug with GCC keys.
    + Each section must contain keys from previous.
    + Fix build error on aarch64.
  * Unfuzz patch 2003.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Jan 2019 04:37:56 +0100

valentina (0.6.1~dfsg-8) unstable; urgency=medium

  * Fix set binary packages Multi-Arch: foreign.
  * Add patch 1001 to only open tape in PATH from within valentina.
  * Extend patch 2004 to cover opening tape from within valentina.
  * Update autopkgtest:
    + Drop unneeded restriction isolation-container.
    + Use pattern in depends.
  * Install AUTHORS.txt README.txt with all binary packages.
  * Generate PDF format measurement diagrams,
    and include them with documentation.
    Build-depend on librsvg2-bin.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Jan 2019 14:16:32 +0100

valentina (0.6.1~dfsg-7) experimental; urgency=medium

  * Add patches cherry-picked upstream to improve testsuite.
    Update patch 2003.
  * Stop ignore testuite failure when targeting experimental.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jan 2019 16:35:25 +0100

valentina (0.6.1~dfsg-5) unstable; urgency=medium

  * Fix build-depend (if testing) on poppler-utils.
  * Normalize paths embedded in example files.
  * Add autopkgtest.
  * Add patch 2004 to rename tape to valentina-tape.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jan 2019 04:41:36 +0100

valentina (0.6.1~dfsg-4) unstable; urgency=medium

  * Limit TranslationsTest to indep builds.
  * Fix only mangle executable name in arch builds.
  * Add patch 2003 to skip tests imprecise across archs.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jan 2019 00:56:36 +0100

valentina (0.6.1~dfsg-3) unstable; urgency=medium

  * Add patch 2002 to avoid ccache trickery by default.
  * Add DEP-3 header to patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Jan 2019 19:50:10 +0100

valentina (0.6.1~dfsg-2) unstable; urgency=medium

  * Add Vcs-* fields: Maintenance tracked on Salsa.
  * Set Rules-Requires-Root: no.
  * Mention rename of executable tape → valentina-tape
    in long description and README.Debian.
  * Fix build testsuite in sub-make.
    Thanks to Roman Telezhynskyi.
  * Build in release mode.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Jan 2019 17:31:51 +0100

valentina (0.6.1~dfsg-1) experimental; urgency=low

  * Initial packaging.
    Closes: Bug#786402. Thanks to Elena Grandi.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Dec 2018 19:20:12 +0100
