=== debian/control ===
Source: valentina
Section: graphics
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 chrpath,
 d-shlibs,
 debhelper,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 librsvg2-bin,
 poppler-utils <!nocheck>,
 qtbase5-dev,
 qttools5-dev-tools,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.3.0
Homepage: https://valentinaproject.bitbucket.io/
Vcs-Browser: https://salsa.debian.org/debian/valentina
Vcs-Git: https://salsa.debian.org/debian/valentina.git
Rules-Requires-Root: no

Package: valentina
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 poppler-utils,
 valentina-l10n (= ${binary:Version}),
Description: pattern making program
 Valentina is a pattern drafting software tool
 for small-batch and custom-sized clothing manufacturing.
 .
 Valentina allows designers to create and model patterns of clothing,
 using either standard sizing tables
 or an individual’s set of measurements.
 It blends new technologies with traditional methods
 to create a unique pattern making tool.
 .
 The "tape" executable is provided as "valentina-tape".

Package: valentina-l10n
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Enhances:
 valentina,
Description: pattern making program - locale data
 Valentina is a pattern drafting software tool
 for small-batch and custom-sized clothing manufacturing.
 .
 Valentina allows designers to create and model patterns of clothing,
 using either standard sizing tables
 or an individual’s set of measurements.
 It blends new technologies with traditional methods
 to create a unique pattern making tool.
 .
 This package provides locale data for Valentina.
