=== debian/rules ===
#!/usr/bin/make -f

# execute test
# * link with freshly built libraries
# * execute in virtual X11 environment
_TEST = LD_LIBRARY_PATH=$(subst $() $(),:,$(strip \
 $(patsubst %,$(CURDIR)/src/libs/%/bin,qmuparser vpropertyexplorer))) \
 xvfb-run -a \
 $(MAKE) -C src/test$(patsubst %,/%,$1) check

%:
	dh $@ --parallel

# set Qt API
# install private shared libraries as such
# avoid upstream messing up debug symbols enabled by dh_auto_configure
# enable release mode
override_dh_auto_configure:
	QT_SELECT=5 dh_auto_configure -- \
		PREFIX_LIB=/usr/lib/valentina \
		QMAKE_LFLAGS_RELEASE+=-Wl,-rpath,/usr/lib/valentina \
		QMAKE_LFLAGS_DEBUG+=-Wl,-rpath,/usr/lib/valentina \
		CONFIG+="noDebugSymbols release"

# generate PDF format measurement diagrams
override_dh_auto_build:
	dh_auto_build
	rsvg-convert -f pdf -o debian/measurement-body-points.pdf \
		share/measurement-body-points.svg
	rsvg-convert -f pdf -o debian/measurement-body-diagram.pdf \
		share/measurement-body-diagram.svg

override_dh_auto_test:
	$(call _TEST,CollectionTest)
	$(call _TEST,ParserTest)
	$(call _TEST,ValentinaTest)
override_dh_auto_test-indep:
	$(call _TEST,TranslationsTest)

# fix rpath to point to private shared libraries
# rename tape -> valentina-tape
# normalize paths embedded in example files
override_dh_install-arch:
	dh_install
	chrpath --replace /usr/lib/valentina \
		debian/valentina/usr/bin/valentina \
		debian/valentina/usr/bin/tape
	mv debian/valentina/usr/bin/tape \
		debian/valentina/usr/bin/valentina-tape
	mv debian/valentina/usr/share/applications/tape.desktop \
		debian/valentina/usr/share/applications/valentina-tape.desktop
	perl -i -pe 's/Exec=\Ktape/valentina-tape/' \
		debian/valentina/usr/share/applications/valentina-tape.desktop
	mv debian/valentina/usr/share/pixmaps/tape.png \
		debian/valentina/usr/share/pixmaps/valentina-tape.png
	cp --recursive src/app/share/collection debian/collection
	find debian/collection -name '*.val' -exec perl -i -p \
		-e 's,<measurements>\K.*/src/app/valentina/bin,/usr/share/valentina,;' \
		-e 's,<measurements>/usr/share/valentina/tables/\Kstandard,multisize,' \
		'{}' +
override_dh_installman-arch:
	dh_installman
	mv debian/valentina/usr/share/man/man1/tape.1 \
		debian/valentina/usr/share/man/man1/valentina-tape.1

# install select documentation with all binary packages
override_dh_installdocs:
	dh_installdocs -- AUTHORS.txt README.txt
