## valentina 0.6.1.1~dfsg+rb2

=== debian/changelog ===
valentina (0.6.1.1~dfsg+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Jan 2021 11:20:44 +0800

valentina (0.6.1~dfsg-9+dde) unstable; urgency=medium

  * add include support qt5.15.1 

 -- Tang Haixiang <tanghaixiang@uniontech.com>  Wed, 13 Jan 2020 09:50:56 +0800
