## valentina 0.7.44~dfsg

=== debian/changelog ===
valentina (0.7.44~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Feb 2021 01:51:54 +0100

valentina (0.7.43~dfsg-2) unstable; urgency=medium

  * tolerate some errors on armel and armhf,
    as workaround for timeout checking Trousers test

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Feb 2021 11:51:18 +0100

valentina (0.7.43~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright info:
    + update repackaging
      to exclude End-User Defined Character (EUDC) font without licensing
    + update coverage
  * declare compliance with Debian Policy 4.5.1
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Feb 2021 11:00:05 +0100

valentina (0.7.41~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update git-buildpackage settings: add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Jan 2021 09:23:49 +0100

valentina (0.7.38~dfsg-2) unstable; urgency=medium

  * fix install icons
  * use debhelper compatibility level 13 (not 12)
  * drop ineffective mitigations for testsuite on 32bit archs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Nov 2020 10:50:04 +0100

valentina (0.7.38~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix use new variable VTEST_RUN_TIMEOUT
    to extend testsuite timeout for slow architectures

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Nov 2020 10:16:23 +0100

valentina (0.7.37~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tolerate some errors for some architectures:
    + CollectionTest for mips64el mipsel riscv64
    + ValentinaTest for i386 hurd-i386
    drop non-working patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Nov 2020 03:29:26 +0100

valentina (0.7.36~dfsg-2) unstable; urgency=medium

  * add patch 1002 to avoid include seemingly unused QDebug
    (possibly fixing testsuite segfault on i386)
  * reduce debugging information and double qtest timeout on 32bit archs,
    to avoid some FTBFS

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Nov 2020 22:40:48 +0100

valentina (0.7.36~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright:
    + fix list explicit files after related right-truncation wildcard
    + update coverage
  * lintian:
    + add overrides related to License-Reference field
      (see bug#786450)
  * watch: track git release tags
  * improve source script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Nov 2020 19:16:52 +0100

valentina (0.7.0~~20201016~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * git snapshot

  [ Jonas Smedegaard ]
  * drop patch 1002 adopted upstream
  * unfuzz patch 2004

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Oct 2020 12:57:01 +0200

valentina (0.7.0~~20200923~dfsg-3) unstable; urgency=medium

  * re-enable and update patch 2003;
    adjust patch 1002 to match expected upstream fix

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Sep 2020 11:09:25 +0200

valentina (0.7.0~~20200923~dfsg-2) unstable; urgency=medium

  * add patch 1002 to fix testsuite for non-AMD64 non-CLANG use
  * unfuzz skipped patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Sep 2020 15:42:11 +0200

valentina (0.7.0~~20200923~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * git snapshot

  [ Jonas Smedegaard ]
  * fix defer stripping to dh_strip;
    closes: bug#971007, thanks to Helmut Grohne
  * copyright: update coverage
  * unfuzz patches
  * skip patch 2003
    (let's see if some of it is fixed upstream)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Sep 2020 13:41:30 +0200

valentina (0.6.1+20200406~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * git snapshot
    closes: bug#964619, thanks to Lucas Nussbaum

  [ Jonas Smedegaard ]
  * fix typo in changelog
  * fix avoid quoting placeholder in mailcap file
  * copyright:
    + exclude more files when repackaging upstream source
    + copyright: update coverage
  * drop patches cherry-picked upstream now applied
  * disable ccache trickery in configure target; drop patch 2002
  * unfuzz patches
  * simplify source script copyright-check
  * fix respect DEB_BUILD_OPTIONS=nocheck;
    closes: bug#960092, thanks to Helmut Grohne
  * stop installing pixmap files no longer shipped upstream

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Sep 2020 20:18:25 +0200

valentina (0.6.1~dfsg-10) unstable; urgency=medium

  * Fix stop build-depend on d-shlibs: Unused.
  * watch:
    + use dversionmangle=auto
    + rewrite usage comment
  * update upstream source URL;
    drop filenamemangle in watch file
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * fix rename icon name for valentina-tape
  * copyright: extend coverage
  * fix Last-Update fields in patch DEP-3 headers

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Apr 2020 12:37:40 +0200
