=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  chrpath,
- d-shlibs,
- debhelper,
+ debhelper-compat (= 13),
  libqt5opengl5-dev,
  libqt5svg5-dev,
  libqt5xmlpatterns5-dev,
@@ -15,7 +14,7 @@
  qttools5-dev-tools,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://valentinaproject.bitbucket.io/
 Vcs-Browser: https://salsa.debian.org/debian/valentina
 Vcs-Git: https://salsa.debian.org/debian/valentina.git
