## valentina 0.7.47~dfsg

=== debian/changelog ===
valentina (0.7.47~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * fix recommend qt5-image-formats-plugins, to support TIFF format
  * copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 May 2021 08:14:41 +0200

valentina (0.7.46~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream since applied

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 May 2021 23:57:34 +0200

valentina (0.7.45~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release;
    closes: bug#984551, thanks to Bernd Zeimetz

  [ Jonas Smedegaard ]
  * add patches cherry-picked upstream
    to fix failing tests;
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Mar 2021 15:58:34 +0100
