=== debian/control ===
--- 
+++ 
@@ -26,6 +26,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ qt5-image-formats-plugins,
 Suggests:
  poppler-utils,
  valentina-l10n (= ${binary:Version}),
