## valentina 0.7.49~dfsg

=== debian/changelog ===
valentina (0.7.49~dfsg-2) unstable; urgency=medium

  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Aug 2021 14:32:32 +0200

valentina (0.7.49~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright info: update coverage
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Jul 2021 01:32:20 +0200
