=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  qttools5-dev-tools,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://valentinaproject.bitbucket.io/
 Vcs-Browser: https://salsa.debian.org/debian/valentina
 Vcs-Git: https://salsa.debian.org/debian/valentina.git
