## valentina 0.7.51~dfsg

=== debian/changelog ===
valentina (0.7.51~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix rename puzzle -> valentina-puzzle in desktop file
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Jun 2022 15:33:51 +0200

valentina (0.7.50~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update, extend, and rename patches 1001 2004
    to also cover new helper tool puzzle
  * update copyright info:
    + update coverage
    + use Reference field (not License-Reference);
      add related lintian overrides
  * simplify build rules:
    + stop explicitly resolve DEB_BUILD_OPTIONS=nocheck
      (done implicitly in debhelper compatibility level 13)
  * update long description, MIME hints, and build rules
    to rename helper tool puzzle -> valentina-puzzle

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Feb 2022 14:13:13 +0100
