=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  qttools5-dev-tools,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://valentinaproject.bitbucket.io/
 Vcs-Browser: https://salsa.debian.org/debian/valentina
 Vcs-Git: https://salsa.debian.org/debian/valentina.git
@@ -41,7 +41,8 @@
  It blends new technologies with traditional methods
  to create a unique pattern making tool.
  .
- The "tape" executable is provided as "valentina-tape".
+ The "tape" executable is provided as "valentina-tape",
+ and the "puzzle" executable is provided as "valentina-puzzle".
 
 Package: valentina-l10n
 Architecture: all
