## valentina 0.7.52~dfsg

=== debian/changelog ===
valentina (0.7.52~dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:31:20 +1100

valentina (0.7.52~dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:25:41 +0000

valentina (0.7.52~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update source helper script copyright-check
  * update copyright info: update coverage
  * unfuzz patches
  * fix source helper tool copyright-check:
    + adjust to work with newer Path::Tiny 0.144
    + avoid insecure shell expansion
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 23:53:09 +0100
