=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: valentina
 Section: graphics
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  chrpath,
  debhelper-compat (= 13),
@@ -14,7 +15,7 @@
  qttools5-dev-tools,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://valentinaproject.bitbucket.io/
 Vcs-Browser: https://salsa.debian.org/debian/valentina
 Vcs-Git: https://salsa.debian.org/debian/valentina.git
