=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,6 @@
 		share/measurement-body-diagram.svg
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq (,$(filter armel armhf mips64el mipsel riscv64,$(DEB_HOST_ARCH)))
 	$(call _TEST,CollectionTest) || true
 else
@@ -42,23 +41,29 @@
 else
 	$(call _TEST,ValentinaTest)
 endif
-endif
+
 override_dh_auto_test-indep:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(call _TEST,TranslationsTest)
-endif
 
 # fix rpath to point to private shared libraries
+# rename puzzle -> valentina-puzzle
 # rename tape -> valentina-tape
 # normalize paths embedded in example files
 execute_after_dh_install-arch:
 	chrpath --replace /usr/lib/valentina \
 		debian/valentina/usr/bin/valentina \
+		debian/valentina/usr/bin/puzzle \
 		debian/valentina/usr/bin/tape
+	mv debian/valentina/usr/bin/puzzle \
+		debian/valentina/usr/bin/valentina-puzzle
 	mv debian/valentina/usr/bin/tape \
 		debian/valentina/usr/bin/valentina-tape
+	mv debian/valentina/usr/share/applications/puzzle.desktop \
+		debian/valentina/usr/share/applications/valentina-puzzle.desktop
 	mv debian/valentina/usr/share/applications/tape.desktop \
 		debian/valentina/usr/share/applications/valentina-tape.desktop
+	perl -i -pe 's/(?:Exec|Icon)=\Kpuzzle/valentina-puzzle/' \
+		debian/valentina/usr/share/applications/valentina-puzzle.desktop
 	perl -i -pe 's/(?:Exec|Icon)=\Ktape/valentina-tape/' \
 		debian/valentina/usr/share/applications/valentina-tape.desktop
 	cp --recursive src/app/share/collection debian/collection
@@ -67,6 +72,8 @@
 		-e 's,<measurements>/usr/share/valentina/tables/\Kstandard,multisize,' \
 		'{}' +
 execute_after_dh_installman-arch:
+	mv debian/valentina/usr/share/man/man1/puzzle.1 \
+		debian/valentina/usr/share/man/man1/valentina-puzzle.1
 	mv debian/valentina/usr/share/man/man1/tape.1 \
 		debian/valentina/usr/share/man/man1/valentina-tape.1
