## valentina 0.7.53~dfsg

=== debian/changelog ===
valentina (0.7.53~dfsg-2) unstable; urgency=medium

  * stop build-depend on librsvg2-bin
  * autopkgtest-depend on poppler-utils
  * tighten access rights for temproray runtime directory

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Nov 2024 13:06:24 +0100

valentina (0.7.53~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * modernize watch file
  * declare compliance with Debian Policy 4.7.0
  * update and unfuzz patches
  * update copyright info:
    + drop special-handled files no longer included upstream
    + update coverage
  * cleanup after build;
    closes: bug#1048773, thanks to Lucas Nussbaum
  * avoid suspected race condition;
    closes: bug#1070900,
    thanks to Santiago Vila and Andreas Beckmann
  * stop install measurement diagrams, dropped upstream
  * simplify tests to not use xvfb;
    stop build- or autopkgtest-depend on xauth xvfb
  * wrap tests in dbus-run-session;
    build- and autopkgtest-depend on dbus-daemon;
    depend on default-dbus-session-bus or dbus-session-bus
  * update install paths

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Nov 2024 01:38:38 +0100
