=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: valentina
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  chrpath,
+ dbus-daemon <!nocheck>,
  debhelper-compat (= 13),
  libqt5opengl5-dev,
  libqt5svg5-dev,
  libqt5xmlpatterns5-dev,
- librsvg2-bin,
  poppler-utils <!nocheck>,
  qtbase5-dev,
  qttools5-dev-tools,
- xauth <!nocheck>,
- xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://valentinaproject.bitbucket.io/
 Vcs-Browser: https://salsa.debian.org/debian/valentina
 Vcs-Git: https://salsa.debian.org/debian/valentina.git
@@ -25,6 +22,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
+ default-dbus-session-bus | dbus-session-bus,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
