## valentina 1.0.0~dfsg

=== debian/changelog ===
valentina (1.0.0~dfsg-2) unstable; urgency=medium

  * update Homepage URI
  * add patches cherry-picked upstream:
    + fix formula values not being saved
    + improve logging
    + correct support for multisize tables when using inch units
    + correct showing of full circumference dimension values
    + fix setup of DesktopFileName
    + fix show mirror line option
    + fix resetting foreground color of text fields
  * install russian Standard male body dimensions, needed by examples
  * install measurement tables as examples;
    add patch 1002 to correct relative paths to measurement tables;
    simplify build and install rules
  * temporarily relax type casting issues for armel armhf mips64el

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Sep 2025 10:27:01 +0200

valentina (1.0.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + update Files-Excluded
    + update coverage
  * update and unfuzz patches
  * declare compliance with Debian Policy 4.7.2
  * link against Qt6 (not Qt5);
    build-depend on libqt6opengl6-dev qt6-svg-dev libxerces-c-dev
    qt6-base-dev qt6-tools-dev-tools
    (not libqt5opengl5-dev libqt5svg5-dev libqt5xmlpatterns5-dev
    qtbase5-dev qttools5-dev-tools)
  * build using qbs;
    build-depend on pkgconf qbs

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Sep 2025 00:25:50 +0200
