=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
  chrpath,
  dbus-daemon <!nocheck>,
  debhelper-compat (= 13),
- libqt5opengl5-dev,
- libqt5svg5-dev,
- libqt5xmlpatterns5-dev,
+ libqt6opengl6-dev,
+ libxerces-c-dev,
+ pkgconf,
  poppler-utils <!nocheck>,
- qtbase5-dev,
- qttools5-dev-tools,
-Standards-Version: 4.7.0
-Homepage: https://valentinaproject.bitbucket.io/
+ qbs,
+ qt6-base-dev,
+ qt6-svg-dev,
+ qt6-tools-dev-tools,
+Standards-Version: 4.7.2
+Homepage: https://smart-pattern.com.ua/
 Vcs-Browser: https://salsa.debian.org/debian/valentina
 Vcs-Git: https://salsa.debian.org/debian/valentina.git
 Rules-Requires-Root: no
