=== debian/tests/control ===
Tests: examples
Restrictions: allow-stderr
Depends: @, dbus-daemon, poppler-utils
