=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
searchmode=plain,\
repacksuffix=~dfsg,\
dversionmangle=auto \
https://gitlab.com/smart-pattern/@PACKAGE@/tags?sort=updated_desc \
-/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
